This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 114902 - CAN-2004-0083 XFree86 font.alias overflow
CAN-2004-0083 XFree86 font.alias overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: XFree86 (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-04 05:10 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-13 16:09:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-02-04 05:10:05 EST
Reported to Red Hat by XFree86 on 2004Feb03 via
iDefense.  

A malicious user may craft a malformed 'font.alias' file causing a
buffer overflow upon parsing, which could lead to execution of
arbitrary code as root on the server.

Embargoed.  No date for public notification set; CVE applied for.

Patch available.  Last update was RHSA-2003:289.  Will be backported
to 4.1.0.  Errata in progress.
Comment 1 Mark J. Cox (Product Security) 2004-02-06 05:07:22 EST
CAN-2004-0083, embargo lifts on Feb11
Comment 4 Mark J. Cox (Product Security) 2004-02-12 08:10:48 EST
Subsequently, iDefense found another issue in the same routine with
the same consequences which has been given CVE name CAN-2004-0083.

Additionally David Dawes discovered additional flaws in reading font
files. The Common Vulnerabilities and Exposures project
(cve.mitre.org) has assigned the name CAN-2004-0106 to these issues.
Comment 5 Mike A. Harris 2004-02-12 11:19:50 EST
>Subsequently, iDefense found another issue in the same routine with
>the same consequences which has been given CVE name CAN-2004-0083.

That's a typo, the second issue is CAN-2004-0084.
Comment 6 Mark J. Cox (Product Security) 2004-02-13 16:09:48 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-060.html

Note You need to log in before you can comment on or make changes to this bug.